## empathy-log-store

empathy-log-store

## Synopsis

    #define             EMPATHY_LOG_STORE_GET_INTERFACE     (inst)
                        EmpathyLogStore;
                        EmpathyLogStoreInterface;
    const gchar *       empathy_log_store_get_name          (EmpathyLogStore *self);
    gboolean            empathy_log_store_exists            (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);
    gboolean            empathy_log_store_add_message       (EmpathyLogStore *self,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             EmpathyMessage *message,
                                                             GError **error);
    GList *             empathy_log_store_get_dates         (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);
    GList *             empathy_log_store_get_messages_for_date
                                                            (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             const gchar *date);
    GList *             empathy_log_store_get_last_messages (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);
    GList *             empathy_log_store_get_chats         (EmpathyLogStore *self,
                                                             EmpathyAccount *account);
    GList *             empathy_log_store_search_new        (EmpathyLogStore *self,
                                                             const gchar *text);
    void                empathy_log_store_ack_message       (EmpathyLogStore *self,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             EmpathyMessage *message);
    GList *             empathy_log_store_get_filtered_messages
                                                            (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             guint num_messages,
                                                             EmpathyLogMessageFilter filter,
                                                             gpointer user_data);

## Object Hierarchy

      GInterface
       +----EmpathyLogStore

## Known Implementations

EmpathyLogStore is implemented by EmpathyLogStoreEmpathy.

## Description

## Details

### EMPATHY_LOG_STORE_GET_INTERFACE()

    #define             EMPATHY_LOG_STORE_GET_INTERFACE(inst)

`inst` : |

### EmpathyLogStore

    typedef struct _EmpathyLogStore EmpathyLogStore;

### EmpathyLogStoreInterface

    typedef struct {
      GTypeInterface parent;

      const gchar * (*get_name) (EmpathyLogStore *self);
      gboolean (*exists) (EmpathyLogStore *self, EmpathyAccount *account,
          const gchar *chat_id, gboolean chatroom);
      gboolean (*add_message) (EmpathyLogStore *self, const gchar *chat_id,
          gboolean chatroom, EmpathyMessage *message, GError **error);
      GList * (*get_dates) (EmpathyLogStore *self, EmpathyAccount *account,
          const gchar *chat_id, gboolean chatroom);
      GList * (*get_messages_for_date) (EmpathyLogStore *self,
          EmpathyAccount *account, const gchar *chat_id, gboolean chatroom,
          const gchar *date);
      GList * (*get_last_messages) (EmpathyLogStore *self, EmpathyAccount *account,
          const gchar *chat_id, gboolean chatroom);
      GList * (*get_chats) (EmpathyLogStore *self,
                EmpathyAccount    *account);
      GList * (*search_new) (EmpathyLogStore *self, const gchar *text);
      void (*ack_message) (EmpathyLogStore *self, const gchar *chat_id,
          gboolean chatroom, EmpathyMessage *message);
      GList * (*get_filtered_messages) (EmpathyLogStore *self, EmpathyAccount *account,
          const gchar *chat_id, gboolean chatroom, guint num_messages,
          EmpathyLogMessageFilter filter, gpointer user_data);
    } EmpathyLogStoreInterface;

### empathy_log_store_get_name ()

    const gchar *       empathy_log_store_get_name          (EmpathyLogStore *self);

`self` : |
Returns : |

### empathy_log_store_exists ()

    gboolean            empathy_log_store_exists            (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);

`self` : |
`account` : |
`chat_id` : |
`chatroom` : |
Returns : |

### empathy_log_store_add_message ()

    gboolean            empathy_log_store_add_message       (EmpathyLogStore *self,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             EmpathyMessage *message,
                                                             GError **error);

`self` : |
`chat_id` : |
`chatroom` : |
`message` : |
`error` : |
Returns : |

### empathy_log_store_get_dates ()

    GList *             empathy_log_store_get_dates         (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);

`self` : |
`account` : |
`chat_id` : |
`chatroom` : |
Returns : |

### empathy_log_store_get_messages_for_date ()

    GList *             empathy_log_store_get_messages_for_date
                                                            (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             const gchar *date);

`self` : |
`account` : |
`chat_id` : |
`chatroom` : |
`date` : |
Returns : |

### empathy_log_store_get_last_messages ()

    GList *             empathy_log_store_get_last_messages (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);

`self` : |
`account` : |
`chat_id` : |
`chatroom` : |
Returns : |

### empathy_log_store_get_chats ()

    GList *             empathy_log_store_get_chats         (EmpathyLogStore *self,
                                                             EmpathyAccount *account);

`self` : |
`account` : |
Returns : |

### empathy_log_store_search_new ()

    GList *             empathy_log_store_search_new        (EmpathyLogStore *self,
                                                             const gchar *text);

`self` : |
`text` : |
Returns : |

### empathy_log_store_ack_message ()

    void                empathy_log_store_ack_message       (EmpathyLogStore *self,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             EmpathyMessage *message);

`self` : |
`chat_id` : |
`chatroom` : |
`message` : |

### empathy_log_store_get_filtered_messages ()

    GList *             empathy_log_store_get_filtered_messages
                                                            (EmpathyLogStore *self,
                                                             EmpathyAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             guint num_messages,
                                                             EmpathyLogMessageFilter filter,
                                                             gpointer user_data);

`self` : |
`account` : |
`chat_id` : |
`chatroom` : |
`num_messages` : |
`filter` : |
`user_data` : |
Returns : |